Bug 240697 - [NEW PORT] devel/luv: Lua bindings for Libuv
Summary: [NEW PORT] devel/luv: Lua bindings for Libuv
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Adam Weinberger
URL:
Keywords: feature, needs-qa
Depends on:
Blocks: 240699
  Show dependency treegraph
 
Reported: 2019-09-20 02:58 UTC by checo1705
Modified: 2019-10-07 15:42 UTC (History)
3 users (show)

See Also:


Attachments
luv shar (2.66 KB, text/plain)
2019-09-20 02:58 UTC, checo1705
no flags Details
now with docs (2.67 KB, application/x-shar)
2019-09-20 15:43 UTC, checo1705
no flags Details
Correction (2.66 KB, text/plain)
2019-09-21 22:19 UTC, checo1705
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description checo1705 2019-09-20 02:58:29 UTC
Created attachment 207640 [details]
luv shar

Made this port because it is now a dependency for neovim, I'm not experienced with CMAKE, comment me if there is a briefer way to set arguments.
Comment 1 checo1705 2019-09-20 15:43:19 UTC
Created attachment 207652 [details]
now with docs

Forgot to add the DOCS option, otherwise, it is identical.
Comment 2 Greg V 2019-09-21 12:14:58 UTC
One bug: it's LUAJIT_CMAKE_OFF, not LUAJIT_CMAKE_ARGS_OFF. It was not building without LUAJIT because of this.
Comment 3 checo1705 2019-09-21 22:19:58 UTC
Created attachment 207703 [details]
Correction

changed it, I suppose that LUAJIT_CMAKE_ARGS_ON should also be LUAJIT_CMAKE_ON
Comment 4 Adam Weinberger freebsd_committer 2019-10-07 15:42:25 UTC
I committed this in r513964 but got the PR wrong (too many tabs in the browser, not enough tabs in my brain).